Subject: bug#302: elogind: doesn't seem to be updating lastlog

From: Mark Hindley <[email-masked]>
Date: Fri, 8 Mar 2019 15:53:08 +0000

On Thu, Mar 07, 2019 at 06:09:57PM +0200, Dimitris T. wrote:
> Package: elogind
> Version: 239.3+20190131-1
> Severity: normal
> 
> since 30/1 lastlog doesn't seem to be updated for display manager logins. tty logins are reported correctly as seen below :  
> 
> # lastlog  
> Username         Port     From             Latest
> root             tty1                      Thu Mar  7 10:49:55 
> user               :0                        Wed Jan 30 15:36:23 

Dimitris,

I have been looking into this. AFAICS display manager logins have never been
logged in lastlog by any of slim, lightdm, consolekit2 or elogind. So, I am not
sure there is a regression here.

I have also been struggling to work out where the user login on :0 (above) comes
from. With the default install could only reproduce logins on ptys. I eventually
managed to do it by adding pam_lastlog.so to the display manager PAM stack in
/etc/pam.d/{slim,lightdm}

Had you customised that and it was overwritten in the upgrade at the end of January?

Mark